# onyx_mlag_vip – Configures MLAG VIP on Mellanox ONYX network devices

New in version 2.5.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of MLAG virtual IPs on Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
delay - | Default: 12 | Delay interval, in seconds, waiting for the changes on mlag VIP to take effect.
group_name - |  | MLAG group name. Required if state=present.
ipaddress - |  | Virtual IP address of the MLAG. Required if state=present.
mac_address - |  | MLAG system MAC address. Required if state=present.

state
-

Choices:
- present
- absent

MLAG VIP state.

## Notes

Note

- Tested on ONYX 3.6.4000

## Examples

    - name: configure mlag-vip
      onyx_mlag_vip:
        ipaddress: 50.3.3.1/24
        group_name: ansible-test-group
        mac_address: 00:11:12:23:34:45

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device. Sample: ['mlag-vip ansible_test_group ip 50.3.3.1 /24 force', 'no mlag shutdown']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Samer Deeb (@samerd)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.